<?
// Includes para conexao com o sistema
require("../adodb/adodb.inc.php");
require('../Amfphp/Services/conexao.php');
require('../Amfphp/Services/funcoes.php');
require('funcoes.php');
include('injection.php');
$con = new conexao();

/* Montando as variáveis de retorno */
$id_transacao = $_POST['id_transacao'];
$data_transacao = $_POST['data_transacao'];
$data_credito = $_POST['data_credito'];
$valor_original = $_POST['valor_original'];
$valor_loja = $_POST['valor_loja'];
$valor_total = $_POST['valor_total'];
$desconto = $_POST['desconto'];
$acrescimo = $_POST['acrescimo'];
$tipo_pagamento = $_POST['tipo_pagamento'];
$parcelas = $_POST['parcelas'];
$cliente_nome = $_POST['cliente_nome'];
$cliente_email = $_POST['cliente_email'];
$cliente_rg = $_POST['cliente_rg'];
$cliente_data_emissao_rg = $_POST['cliente_data_emissao_rg'];
$cliente_orgao_emissor_rg = $_POST['cliente_orgao_emissor_rg'];
$cliente_estado_emissor_rg = $_POST['cliente_estado_emissor_rg'];
$cliente_cpf = $_POST['cliente_cpf'];
$cliente_sexo = $_POST['cliente_sexo'];
$cliente_data_nascimento = $_POST['cliente_data_nascimento'];
$cliente_endereco = $_POST['cliente_endereco'];
$cliente_complemento = $_POST['cliente_complemento'];
$status = $_POST['status'];
$cod_status = $_POST['cod_status'];
$cliente_bairro = $_POST['cliente_bairro'];
$cliente_cidade = $_POST['cliente_cidade'];
$cliente_estado = $_POST['cliente_estado'];
$cliente_cep = $_POST['cliente_cep'];
$frete = $_POST['frete'];
$tipo_frete = $_POST['tipo_frete'];
$informacoes_loja = $_POST['informacoes_loja'];
$id_pedido = $_POST['id_pedido'];
$free = $_POST['free'];
$email_vendedor = $_POST['email_vendedor'];
$qtde_produtos = $_POST['qtde_produtos'];

$sql="select financeiro.*, usuario_especie.token from financeiro, usuario_especie where financeiro.idfinanceiro='$id_pedido' and financeiro.especie = usuario_especie.especie and financeiro.idrevendedor = usuario_especie.idusuario";
$resultado = $con->banco->Execute($sql);
$registro = $resultado->FetchNextObject();
$especie 		= $registro->ESPECIE;
$idcliente		= $registro->IDPROVEDOR;
$idrevendedor	= $registro->IDREVENDEDOR;
$idempresa		= $registro->IDEMPRESA;
$dt_transacao	= ymd($data_transacao);
$dt_credito		= ymd($data_credito);
$token 			= $registro->TOKEN;

if (!empty($id_transacao) && !empty($token) && !empty($status) && !empty($data_transacao) && !empty($valor_original)){
	if ($valor_original == $registro->VALOR){
		$resposta="VERIFICADO";
	} else {
		$resposta = "Valores nao Correspondem. ";		
	}
} else {
	$resposta .= " Campos Obrigatorios nao preenchidos.";	
}

if(trim($resposta)=="VERIFICADO"){
	// Loop para retornar dados dos produtos
	for ($x=1; $x <= $qtde_produtos; $x++) {
		$produto_codigo = $_POST['produto_codigo_'.$x];
		$produto_descricao = $_POST['produto_descricao_'.$x];
		$produto_qtde = $_POST['produto_qtde_'.$x];
		$produto_valor = $_POST['produto_valor_'.$x];
		$produto_extra = $_POST['produto_extra_'.$x];
		
		$sql_existe_transacao="select id from transacoes where id_transacao='$id_transacao' and idcliente='$idcliente' and cod_status = '$cod_status' and produto_codigo='$produto_codigo' and produto_valor='$produto_valor' and tipo_pagamento = '$tipo_pagamento'";
		$result = $con->banco->Execute($sql_existe_transacao);
		$reg 	= $result->FetchNextObject();
		if ($reg->ID == ""){			
			$sql_transacoes="insert into transacoes (id_transacao, idempresa, idrevendedor, idcliente, especie, data_transacao, data_credito, valor_original, valor_loja, valor_total, desconto, acrescimo, tipo_pagamento, parcelas, status, cod_status, id_pedido, produto_codigo, produto_descricao, produto_qtde, produto_valor, email_vendedor, cliente_nome, cliente_email) values ('$id_transacao', '$idempresa', '$idrevendedor', '$idcliente', '$especie','$dt_transacao', '$dt_credito', '$valor_original', '$valor_loja', '$valor_total', '$desconto', '$acrescimo', '$tipo_pagamento', '$parcelas', '$status', '$cod_status', '$id_pedido', '$produto_codigo', '$produto_descricao', '$produto_qtde', '$produto_valor', '$email_vendedor', '$cliente_nome', '$cliente_email')";
			$con->banco->Execute($sql_transacoes);
			if ($cod_status == "1"){ // Transacao Concluida
				$sql_financeiro="update financeiro set situacao='Pago', databaixa='$dt_transacao', valorbaixa='$produto_valor' where idfinanceiro='$id_pedido'";
				$con->banco->Execute($sql_financeiro);
				$tmp_descricao = explode("|", $produto_descricao);
				$qtdemes = $tmp_descricao[0];
				$login = $tmp_descricao[1];
				$sql="select expiredate, renovacoes from csp_user where name='$login' and idempresa='$idempresa'";
				$resultado = $con->banco->Execute($sql);
				$registro = $resultado->FetchNextObject();
				$expireatual=$registro->EXPIREDATE;
				$renovacoes=$registro->RENOVACOES;
				$expireexplode = explode("-", $expireatual);
				$expire_Y=$expireexplode[0];
				$expire_m=$expireexplode[1];
				$expire_d=$expireexplode[2];
				$expireymd="$expire_Y$expire_m$expire_d";
				$ymdatual=date('Ymd');
				if ($expireymd <= $ymdatual){
					$diaatual = date('d');
					$mesatual = date('m');
					$anoatual = date('Y');	
				} else {
					$diaatual = $expire_d;
					$mesatual = $expire_m;
					$anoatual = $expire_Y;			
				}
				$novomes=$mesatual + $qtdemes;
				$novomes=CompletaComZeros(2,$novomes);
				if ($novomes > 12){
					$anoatual++;
					$novomes=$novomes - 12;
				}
				if (($novomes == "02" || $novomes == "2") && $diaatual > "28"){
					$diaatual="28";
				} else {
					if ($diaatual > 30){
						$diaatual="30";	
					}
				}
				$diaatual=CompletaComZeros(2,$diaatual);
				$novomes=CompletaComZeros(2,$novomes);
				$validoate="$anoatual-$novomes-$diaatual";
				$renovacoes .= "Renovado Online de $expireatual para $validoate.";
				$update="update csp_user set enabled='Ativo', situacao='Ativo', expiredate='$validoate', renovacoes='$renovacoes' where idempresa='$idempresa' and name='$login'";
				$con->banco->Execute($update);
				// Setando o cliente como Normal ...
				$sql = "select idplano from plano where idempresa='$idempresa' and idrevendedor='$idrevendedor' and valor > 0 order by idplano ASC limit 1";
				$resultado = $con->banco->Execute($sql);
				$registro = $resultado->FetchNextObject();
				$idplano = $registro->IDPLANO;
				$update="update provedor set clienteteste=0, idplano='$idplano', diavencimento='$diaatual' where idempresa='$idempresa' and idprovedor='$idcliente'";
				$con->banco->Execute($update);
				
				atualizaEmpresa($idempresa, $login, $validoate);
			}
			if ($cod_status == "2"){ // Transacao Concluida
				$sql_financeiro="update financeiro set situacao='Cancelado' where idfinanceiro='$id_pedido'";
				$con->banco->Execute($sql_financeiro);
			}
				// Enviando Email
			$rodape = "Este email foi enviado automaticamente pelo sistema CSPADM. Favor nao responder<br>";
			$assunto="Status do Pedido $produto_codigo - $produto_descricao";
			$mensagem = <<<EOM
<strong>$cliente_nome</strong>. <br>
<br><br>
Primeiramente obrigado por utilizar nossos servicos.  Informamos que o Pedido $id_pedido ($produto_descricao), utilizando o $especie <br>
foi registrada em nosso banco de dados. <br>
Informacoes adicionais: <br>
ID Pedido: $produto_codigo <br>
ID da Transacao: $id_transacao <br>
Data da Transacao: $data_transacao <br>
Valor: $valor_total <br>
Tipo de Pagamento: $tipo_pagamento <br>
Descricao do Produto: $produto_descricao<br>
Status: <strong>$status</strong> <br>
<br>
<br>
$rodape
EOM;

			$enviar=enviar_email($idempresa,$idrevendedor,$cliente_email, $assunto, $mensagem);
		} 
	}
} else {
	echo "Resposta: $resposta";
}




?>
